
From: Christophe Lucas <clucas@rotomalug.org>

Use set_current_state() instead of direct assignment of current->state.

Signed-off-by: Christophe Lucas <clucas@rotomalug.org>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/ip2/i2lib.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/char/ip2/i2lib.c~drivers-char-ip2-i2libc-replace-direct-assignment-with-set_current_state drivers/char/ip2/i2lib.c
--- 25/drivers/char/ip2/i2lib.c~drivers-char-ip2-i2libc-replace-direct-assignment-with-set_current_state	Fri Jul  8 16:14:04 2005
+++ 25-akpm/drivers/char/ip2/i2lib.c	Fri Jul  8 16:14:04 2005
@@ -655,7 +655,7 @@ i2QueueCommands(int type, i2ChanStrPtr p
 			timeout--;   // So negative values == forever
 		
 		if (!in_interrupt()) {
-			current->state = TASK_INTERRUPTIBLE;
+			set_current_state(TASK_INTERRUPTIBLE);
 			schedule_timeout(1);	// short nap 
 		} else {
 			// we cannot sched/sleep in interrrupt silly
@@ -1132,7 +1132,7 @@ i2Output(i2ChanStrPtr pCh, const char *p
 
 					ip2trace (CHANN, ITRC_OUTPUT, 61, 0 );
 
-					current->state = TASK_INTERRUPTIBLE;
+					set_current_state(TASK_INTERRUPTIBLE);
 					schedule_timeout(2);
 					if (signal_pending(current)) {
 						break;
_
